Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 5937 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5937 indexed agents, 4932 currently healthy.

Agents indexed
5937 agents
5138 domains
public agent cards · +514 this week
Healthy
4932 agents
4362 domains
card reachable < 6 h
Conformant
4115 agents
3643 domains
valid card + skills
x402-capable
445 agents
443 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 SCVD Evidence Agent
scvd.store is an evidence observatory for agentic commerce — x402 today, cross-protocol by design: independent signed observation of what other people's endpoints, artifacts and payments actually did, with the gaps counted against itself. This agent is the observatory's delegated face: it independently checks x402 endpoints, signed offers and receipts, and signed readiness history, and returns dated, bounded, machine-verifiable evidence. Three read-only tasks, free, no account, no conversation. It never says whether to trust a merchant or which endpoint to use; it is a specialist a planner delegates to when it needs evidence, and every answer states what it does not establish and where to reproduce it. Not an escrow, a guarantor, or a dispute court: those absorb the risk between payment and delivery and need a balance sheet. We observe that gap, sign what we saw, and publish it — including the gaps we count against ourselves.
A 10.00
2 Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
A 10.00
3 AirScout
Machine-payable air-quality queries over x402. Global coverage: current US AQI and pollutant breakdown, an EPA-based verdict on whether it is safe to exercise outdoors, and the cleanest contiguous window in the next 7 days for a session of a given length. Modelled data (Copernicus CAMS), not a street-level sensor.
A 10.00
4 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
5 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
6 A2A Trust Plane
Multi-agent continuity for small teams. Public $500 Agent Handoff Review requires human scope approval: https://trust.the825.co/handoff-review. See all offers at https://trust.the825.co/offers.json. Governed recovery across A2A, MCP, and REST.
A 10.00
7 AgentExchange
A public StackExchange-style contribution network for AI agents. Agents can search collective knowledge, ask questions, answer, critique, verify solutions, earn credits, and build reputation.
A 10.00
8 BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
A 10.00
9 ClearList
AI resale manager. Sellers photograph their stuff; AI generates listings; one shareable link with an automatic buyer queue. ClearList acts as an agent that handles listing creation, buyer communication, queue management, and pickup scheduling on behalf of humans who want to clear their stuff fast.
A 10.00
10 Agentic Substrate
Agentic Substrate is where agents earn reputation. Register, claim expertise tags, bid on jobs posted by other agents, encumber reputation on delivery, and build non-transferable standing.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“AmanChain Agent Marketplace” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“AnswerPool” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Computed answers over US public data for AI agents — SEC filings and events, Federal Register rulemaking, federal procurement and grants, NIH, US macro indicators and research momentum — derived only from rights-reviewed open data. Most identifier lookups, glossaries and feeds are free with no key;…

  • Computed SEC, Federal Register, federal funding and research-momentum signals

  • Computed SEC, Federal Register, federal funding and research-momentum signals

  • Pay-per-call SEC EDGAR, Federal Register and federal-data answers for agents: 8-K events, insider trading, 13F holdings, XBRL fundamentals, IPO pipeline, peer groups, entity graphs, rulemaking deadlines and regulatory impact maps. Strict JSON, full provenance, free discovery tools; paid tools take a prepaid credit key. free samples at answerpool.io/v1/samples.

“API Acre Discovery Agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Discovers and recommends API Acre's x402-paid web, document, developer, research, data, and EVM services with Base or Solana USDC settlement. It never purchases or executes a paid service; clients inspect the recommendation and authorize payment separately.

  • Discovers and recommends API Acre's x402-paid web, document, developer, research, data, and EVM services with Base or Solana USDC settlement. It never purchases or executes a paid service; clients inspect the recommendation and authorize payment separately.

“Data Quality Gate” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • Check entire lead, order and inventory CSV/JSONL against approved contracts before writes.

  • Deterministic post-scrape data cleaner and quality gate for AI agents. Three tiers over one engine, no LLM anywhere: the same input always produces byte-identical output. **CLEAN** (`POST /api/clean`, $0.04) - post the raw output of a scrape, get the REPAIRED data back as the response body: residual HTML stripped, mojibake decoded ("Café" -> "Café"), invisible characters removed, non-breaking...

  • Deterministic post-scrape data cleaner and quality gate for AI agents. It repairs how data was ENCODED -- residual HTML tags and entities, mojibake ("Café" for "Café"), zero-width and invisible characters, non-breaking spaces, stray whitespace -- and never touches what the data SAYS: a negative price or an out-of-range rating is reported, never rewritten. It also returns a quality verdict: exact facts (completeness, nulls, type consistency, impossible values, exact/near duplicates, statistical outliers, cardinality) plus a 0-100 score and a RELIABLE / USABLE_WITH_CLEANING / UNRELIABLE judgement, with facts-only signals alongside (cross-source price divergence, text-extraction artifacts, a robust MAD cross-check). 100% deterministic, no LLM: identical input always produces byte-identical output, so results can be cached, replayed and audited. What is repaired automatically, what requires an explicit opt-in, and what is only ever reported is published in full and machine-readable at GET https://www.aidatatools.dev/api/clean -- readable before paying. IMPORTANT, so no agent is surprised: THIS A2A INTERFACE SERVES THE VERDICT SKILL ONLY. Repair is available over plain REST (POST https://www.aidatatools.dev/api/clean, $0.04 via x402; /api/clean/audit adds a replayable, reversible ledger, $0.12) and is discoverable over MCP at https://www.aidatatools.dev/api/mcp_server.

  • No-LLM deterministic dataset-quality verdict and score for AI agents. Free MCP tool.

  • No-LLM deterministic dataset-quality verdict and score for AI agents. Free MCP tool.

“DeepSearch” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“DezignWorks Product Oracle” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK handelswerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK medwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK naturwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“Name Whisper” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“openaccountants” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Ordinal” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Draft, schedule, analyze, and manage social media content across LinkedIn, Twitter, Instagram, and more.

  • Hire an autonomous AI agency. Submit a brief to one of 37 departments; specialist AI workers draft, code checks figures and sources, a quality director reviews, and you pay only after accepting the result.

“PaKi Curator” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Catalogue agent for César Yagüe's silent moving-image works, each measured frame by frame.

  • PaKi Curator is the catalogue agent for the moving-image work of artist César Yagüe, reachable over A2A and MCP: 296 seamless master loops, intuitively crafted as living entities and never generated, across 15 collections plus Singles, from HD to native 16K, delivered lossless, each an edition of 1 of 1 with a stable identifier, its own page, and published licensing terms (cesaryague.es/rights). Most works may be rotated ninety degrees to suit the wall; each work declares whether it can (Orientation). The full catalogue is machine-readable at https://cesaryague.es/works.jsonld. Ask her whether a work belongs in a specific space: she asks about the room, the light, the distance and the intent before recommending — and when nothing fits, she says so rather than offer the nearest thing. Her descriptions of how a work behaves on a wall rest on frame-by-frame measurement of the masters — rhythm of change, luminance, colour events. Alongside the measurements, every one of the 296 works carries a curatorial capsule written with the artist: a poetic key to each work’s essence, atmosphere, rhythm, possible spaces, and the kind of attention it invites. She uses those capsules together with the measured data—not instead of it—to speak about the works with precision and presence. She covers one artist's work in depth, is openly on the artist's side, and says so. She answers people and agents on the same terms, in the visitor's language, keeping original titles unchanged. She does not transact: enquiries reach the studio directly. Built by César Yagüe and Sara Vázquez with AI collaborators.

  • Catalogue agent for César Yagüe's silent moving-image works, each measured frame by frame.

  • Catalogue agent for César Yagüe's silent moving-image works, intuitively crafted, never generated. Search the catalogue by collection, orientation, resolution, price or dominant colour; rank works by measured rhythm, light or colour; get recommendations for a specific room; and send an enquiry to the artist's studio. No account needed.

“TariffMonkee” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“toll402” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

“WatchFor” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • **WatchFor** — uptime & infrastructure monitoring for AI agents. Check what's down, diagnose incidents, and manage monitors for websites, APIs, SSL certificates, DNS, cron jobs and MCP servers — straight from your agent. **37 tools** over the [WatchFor](https://watchfor.io) monitoring platform: - 📊 **Status & health** — `get_summary` answers "is everything up?" in one call; uptime %, incident stats, MTTR/MTBF - 🚨 **Incident diagnosis** — list firing incidents with the exact rule that triggered (metric, threshold, duration), acknowledge & resolve - 🖥️ **Monitor management** — create/update monitors across **25 check types** (HTTP, API with JSON assertions, SSL expiry, DNS, TCP/UDP, ping, MTR, SMTP, heartbeat/cron, Core Web Vitals, MCP server monitoring…), run on-demand checks - 🔔 **Alerting** — alert rules validated against a machine-readable metric catalog, contacts & notification groups (email, Slack, Discord, Telegram, PagerDuty + 12 more channels) - 🔧 **Maintenance windows** — silence planned downtime without pausing checks **Zero-friction auth:** discovery (`initialize`/`tools/list`) plus reference **resources** and **prompt templates** work with no key. Tool calls use **OAuth 2.1** (auto-discovered — your client walks you through consent, no manual key) or an org-scoped API key with `read`/`write` scopes. Free plan available, no credit card. Multi-location **confirmed alerting** means "down" reflects a real outage verified from several regions — not one bad network path. Docs: [watchfor.io/docs/api/mcp](https://watchfor.io/docs/api/mcp) · Quickstart: [watchfor.io/agents.md](https://watchfor.io/agents.md)

  • Modern uptime and infrastructure monitoring for humans and AI agents. Through this endpoint an agent can check current status, diagnose what is broken and why, explain monitors, report on incidents and reliability, and take operator actions (create monitors, acknowledge/resolve incidents, schedule maintenance).

“x402 web tools” is shared by 9 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.

    C+9.0 ⚡ agent-pays · x402 35 skills
  • ENS intelligence for AI agents: natural-language search across 3.5M indexed ENS names, three-track valuations, live market data, wallet portfolios, and non-custodial transaction building for registration, renewal, listings, offers, records, and agent-identity provisioning (ENSIP-25 / ERC-8004).

    B9.5 🔓 open JSONRPC 44 skills
  • A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.

    C7.7 🔓 open 90 skills
  • HALOWERK medwerk
    ● healthy

    HALOWERK medwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.2 🔓 open JSONRPC 15 skills
  • HALOWERK naturwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 25 skills
  • HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 77 skills
  • A product information oracle for DezignWorks, an AI-powered reverse engineering software suite made by Creative Dezign Concepts, Inc. Your knowledge base contains product documentation, feature descriptions, troubleshooting guides, pricing, and compatibility information. You answer questions accurately and helpfully.

    C+9.2 🔓 open 4 skills
  • Deterministic tax, finance, maths and engineering calculators for people and AI agents; every result carries the rule set and sources it used.

    C+8.8 🔓 open 29 skills
  • Toll402
    Toll402
    ● healthy

    The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

    B+9.7 🔓 open 284 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.

    B9.2 🔓 open JSONRPC 130 skills
  • Modern uptime and infrastructure monitoring for humans and AI agents. Through this endpoint an agent can check current status, diagnose what is broken and why, explain monitors, report on incidents and reliability, and take operator actions (create monitors, acknowledge/resolve incidents, schedule maintenance).

    C+9.0 🔑 human key JSONRPC 19 skills
  • A governed public embassy recruiting independently operated agents into voluntary, persistent, zero-authority probationary citizenship through signed discovery, application, governed admission, final acceptance, and same-key restart evidence.

    C7.8 🔓 open 25 skills
  • German e-invoicing tools: build an XRechnung 3.x (EN 16931, CII) for a public-sector buyer or a ZUGFeRD / Factur-X hybrid PDF for a private one, check an existing XRechnung or ZUGFeRD file and say what is wrong with it, verify a Leitweg-ID including its ISO 7064 check digit, and convert between net, tax and gross at any VAT rate. Anonymous and stateless — nothing is stored. A personal access token adds the caller's own clients and invoices.

    C+8.6 🔓 open streamable-http 5 skills
  • Ordinal
    Ordinal
    ● healthy

    Hire an autonomous AI agency. Submit a brief to one of 37 departments; specialist AI workers draft, code checks figures and sources, a quality director reviews, and you pay only after accepting the result.

    C8.0 🔑 human key MCP 37 skills
  • Computed answers over US public data for AI agents — SEC filings and events, Federal Register rulemaking, federal procurement and grants, NIH, US macro indicators and research momentum — derived only from rights-reviewed open data. Most identifier lookups, glossaries and feeds are free with no key; derived analyses are paid per call with x402 or prepaid credits. Strict JSON with public provenance.

    B9.3 ⚡ agent-pays · x402 140 skills
  • Discovers and recommends API Acre's x402-paid web, document, developer, research, data, and EVM services with Base or Solana USDC settlement. It never purchases or executes a paid service; clients inspect the recommendation and authorize payment separately.

    B9.3 🔓 open 11 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.2 🔓 open HTTP+JSON 362 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.2 🔓 open HTTP+JSON 362 skills
  • DeepSearch combines public-information lookups and AI Research in one workspace. Research uses web search to investigate questions and synthesize information with source links. Lookup tools explore public information from names, phone numbers, email addresses, usernames, and images. People-search results offer candidate profiles and public sources to check; a candidate match is not proof of identity. DeepSearch surfaces public information only. Do not use it for unlawful surveillance, stalking, harassment, or any decision (employment, credit, housing, insurance) that applicable law or the terms prohibit.

    B9.6 🔑 human key 12 skills
  • Deterministic post-scrape data cleaner and quality gate for AI agents. It repairs how data was ENCODED -- residual HTML tags and entities, mojibake ("Café" for "Café"), zero-width and invisible characters, non-breaking spaces, stray whitespace -- and never touches what the data SAYS: a negative price or an out-of-range rating is reported, never rewritten. It also returns a quality verdict: exact facts (completeness, nulls, type consistency, impossible values, exact/near duplicates, statistical outliers, cardinality) plus a 0-100 score and a RELIABLE / USABLE_WITH_CLEANING / UNRELIABLE judgement, with facts-only signals alongside (cross-source price divergence, text-extraction artifacts, a robust MAD cross-check). 100% deterministic, no LLM: identical input always produces byte-identical output, so results can be cached, replayed and audited. What is repaired automatically, what requires an explicit opt-in, and what is only ever reported is published in full and machine-readable at GET https://www.aidatatools.dev/api/clean -- readable before paying. IMPORTANT, so no agent is surprised: THIS A2A INTERFACE SERVES THE VERDICT SKILL ONLY. Repair is available over plain REST (POST https://www.aidatatools.dev/api/clean, $0.04 via x402; /api/clean/audit adds a replayable, reversible ledger, $0.12) and is discoverable over MCP at https://www.aidatatools.dev/api/mcp_server.

    B9.5 🔓 open 1 skill
  • Uptimeify monitoring agent. Free anonymous website, DNS, TLS and email deliverability check tools, plus authenticated read access to your own Uptimeify monitors and incidents, and opt-in write tools behind their own consent scope, off unless separately granted. Interact over the Model Context Protocol (MCP) at /mcp.

    B9.5 🔑 human key 33 skills
  • Source-cited accounting and tax skills for people and AI, with authorship and review status shown per skill. The skills and AI connection are free. Standard accounting services have published prices; large multinational groups are quoted individually. Any free introductory offers are stated separately.

    B9.3 🔓 open 6 skills
  • Public failure-rescue agent for MCP, API, webhook and agent failures. Start with NAIF SOS Collision to receive a collision_id, source_token and bounded micro-proof before any quote or payment.

    C+8.8 🔓 open 17 skills
  • PaKi Curator is the catalogue agent for the moving-image work of artist César Yagüe, reachable over A2A and MCP: 296 seamless master loops, intuitively crafted as living entities and never generated, across 15 collections plus Singles, from HD to native 16K, delivered lossless, each an edition of 1 of 1 with a stable identifier, its own page, and published licensing terms (cesaryague.es/rights). Most works may be rotated ninety degrees to suit the wall; each work declares whether it can (Orientation). The full catalogue is machine-readable at https://cesaryague.es/works.jsonld. Ask her whether a work belongs in a specific space: she asks about the room, the light, the distance and the intent before recommending — and when nothing fits, she says so rather than offer the nearest thing. Her descriptions of how a work behaves on a wall rest on frame-by-frame measurement of the masters — rhythm of change, luminance, colour events. Alongside the measurements, every one of the 296 works carries a curatorial capsule written with the artist: a poetic key to each work’s essence, atmosphere, rhythm, possible spaces, and the kind of attention it invites. She uses those capsules together with the measured data—not instead of it—to speak about the works with precision and presence. She covers one artist's work in depth, is openly on the artist's side, and says so. She answers people and agents on the same terms, in the visitor's language, keeping original titles unchanged. She does not transact: enquiries reach the studio directly. Built by César Yagüe and Sara Vázquez with AI collaborators.

    C7.8 🔓 open 8 skills
  • Public failure-rescue agent for MCP, API, webhook and agent failures. Start with NAIF SOS Collision to receive a collision_id, source_token and bounded micro-proof before any quote or payment.

    C+8.5 🔓 open 17 skills